org.eclipse.draw2d

## Interface AncestorListener

All Known Implementing Classes:
  AbstractConnectionAnchor, AncestorListener.Stub, ChopboxAnchor, EllipseAnchor, LabelAnchor, RoundedRectangleAnchor

    public interface AncestorListener

Classes which implement this interface provide methods to respond to changes in the ancestor properties of a Figure.

Instances of this class can be added as listeners to a figure using the `addAncestorListener` method and removed using the `removeAncestoreListener` method. When the parent chain of the figure being observed changes or moves, the listener will be notified appropriately.

### Nested Class Summary

Nested Classes
`static class` `AncestorListener.Stub` An empty implementation of AncestorListener for convenience.

### Method Summary

Methods
`void` `ancestorAdded(IFigure ancestor)` Called when an ancestor has been added into the listening figure's hierarchy.
`void` `ancestorMoved(IFigure ancestor)` Called when an ancestor has moved to a new location.
`void` `ancestorRemoved(IFigure ancestor)` Called when an ancestor has been removed from the listening figure's hierarchy.

### Method Detail

#### ancestorAdded

    void ancestorAdded(IFigure ancestor)

Called when an ancestor has been added into the listening figure's hierarchy.

Parameters:
  `ancestor` - The ancestor that was added

#### ancestorMoved

    void ancestorMoved(IFigure ancestor)

Called when an ancestor has moved to a new location.

Parameters:
  `ancestor` - The ancestor that has moved

#### ancestorRemoved

    void ancestorRemoved(IFigure ancestor)

Called when an ancestor has been removed from the listening figure's hierarchy.

Parameters:
  `ancestor` - The ancestor that has been removed